org.apache.cassandra.cql3

## Class ColumnConditions

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnConditions

All Implemented Interfaces:
  Conditions

    public final class ColumnConditions
    extends java.lang.Object

A set of `ColumnCondition`s.

### Nested Class Summary

Nested Classes
`static class` `ColumnConditions.Builder` A `Builder` for `ColumnConditions`.

### Field Summary

### Fields inherited from interface org.apache.cassandra.cql3.Conditions

`EMPTY_CONDITION, IF_EXISTS_CONDITION, IF_NOT_EXISTS_CONDITION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addConditionsTo(CQL3CasRequest request, Clustering clustering, QueryOptions options)` Adds the conditions to the specified CAS request.
`void` `addFunctionsTo(java.util.List<Function> functions)` Adds the functions used by the conditions to the specified list.
`boolean` `appliesToRegularColumns()` Checks if some of the conditions apply to regular columns.
`boolean` `appliesToStaticColumns()` Checks if some of the conditions apply to static columns.
`java.util.Collection<ColumnCondition>` `columnConditions()`
`java.util.Collection<ColumnDefinition>` `getColumns()` Returns the column definitions to which apply the conditions.
`boolean` `isEmpty()` Checks if this `Conditions` is empty.
`boolean` `isIfExists()` Checks if this is a IF EXIST condition.
`boolean` `isIfNotExists()` Checks if this is a IF NOT EXIST condition.
`static ColumnConditions.Builder` `newBuilder()` Creates a new `Builder` for `ColumnConditions`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### appliesToStaticColumns

    public boolean appliesToStaticColumns()

Description copied from interface: `Conditions`
Checks if some of the conditions apply to static columns.

Specified by:
  `appliesToStaticColumns` in interface `Conditions`
Returns:
  `true` if some of the conditions apply to static columns, `false` otherwise.

#### appliesToRegularColumns

    public boolean appliesToRegularColumns()

Description copied from interface: `Conditions`
Checks if some of the conditions apply to regular columns.

Specified by:
  `appliesToRegularColumns` in interface `Conditions`
Returns:
  `true` if some of the conditions apply to regular columns, `false` otherwise.

#### getColumns

    public java.util.Collection<ColumnDefinition> getColumns()

Description copied from interface: `Conditions`
Returns the column definitions to which apply the conditions.

Specified by:
  `getColumns` in interface `Conditions`
Returns:
  the column definitions to which apply the conditions.

#### isEmpty

    public boolean isEmpty()

Description copied from interface: `Conditions`
Checks if this `Conditions` is empty.

Specified by:
  `isEmpty` in interface `Conditions`
Returns:
  `true` if this `Conditions` is empty, `false` otherwise.

#### addConditionsTo

    public void addConditionsTo(CQL3CasRequest request,
                                Clustering clustering,
                                QueryOptions options)

Adds the conditions to the specified CAS request.

Parameters:
  `request` - the request
  `clustering` - the clustering prefix
  `options` - the query options

#### addFunctionsTo

    public void addFunctionsTo(java.util.List<Function> functions)

Description copied from interface: `Conditions`
Adds the functions used by the conditions to the specified list.

Specified by:
  `addFunctionsTo` in interface `Conditions`
Parameters:
  `functions` - the list to add to

#### columnConditions

    public java.util.Collection<ColumnCondition> columnConditions()

#### newBuilder

    public static ColumnConditions.Builder newBuilder()

Creates a new `Builder` for `ColumnConditions`.

Returns:
  a new `Builder` for `ColumnConditions`

#### isIfExists

    public boolean isIfExists()

Description copied from interface: `Conditions`
Checks if this is a IF EXIST condition.

Specified by:
  `isIfExists` in interface `Conditions`
Returns:
  `true` if this is a IF EXIST condition, `false` otherwise.

#### isIfNotExists

    public boolean isIfNotExists()

Description copied from interface: `Conditions`
Checks if this is a IF NOT EXIST condition.

Specified by:
  `isIfNotExists` in interface `Conditions`
Returns:
  `true` if this is a IF NOT EXIST condition, `false` otherwise.